-- MySQL dump 10.13  Distrib 22.10.1, for Linux (x86_64)
--
-- Host: localhost    Database: fraud
-- ------------------------------------------------------
-- Server version	22.10.1-cluster

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `fraud`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fraud` /*!40100 DEFAULT CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;

USE `fraud`;

--
-- Table structure for table `kafka_offsets`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `kafka_offsets` (
  `consumer_group` varchar(255) CHARACTER SET latin1 COLLATE latin1_general_cs NOT NULL,
  `topic` varchar(255) CHARACTER SET latin1 COLLATE latin1_general_cs NOT NULL,
  `partition` smallint NOT NULL,
  `offset` bigint unsigned NOT NULL,
  PRIMARY KEY (`consumer_group`,`topic`,`partition`)
) ENGINE=ndbcluster DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `profiles_1`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `profiles_1` (
  `cc_num` bigint NOT NULL,
  `event_time` timestamp NULL DEFAULT NULL,
  `country` varchar(100) COLLATE utf8mb3_unicode_ci DEFAULT NULL,
  `age` double DEFAULT NULL,
  PRIMARY KEY (`cc_num`)
) ENGINE=ndbcluster DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci COMMENT='NDB_TABLE=READ_BACKUP=1';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `profiles_2`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `profiles_2` (
  `cc_num` bigint NOT NULL,
  `event_time` timestamp NULL DEFAULT NULL,
  `country` varchar(100) COLLATE utf8mb3_unicode_ci DEFAULT NULL,
  `age` double DEFAULT NULL,
  PRIMARY KEY (`cc_num`)
) ENGINE=ndbcluster DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci COMMENT='NDB_TABLE=READ_BACKUP=1';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `transactions_1`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `transactions_1` (
  `tid` varchar(100) COLLATE utf8mb3_unicode_ci NOT NULL,
  `datetime` timestamp NULL DEFAULT NULL,
  `fraud_label` int DEFAULT NULL,
  `cc_num` bigint DEFAULT NULL,
  `amount` double DEFAULT NULL,
  `category` varchar(100) COLLATE utf8mb3_unicode_ci DEFAULT NULL,
  `is_transaction_abroad` int DEFAULT NULL,
  PRIMARY KEY (`tid`)
) ENGINE=ndbcluster DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci COMMENT='NDB_TABLE=READ_BACKUP=1';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping events for database 'fraud'
--

--
-- Dumping routines for database 'fraud'
--

--
-- Current Database: `test`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `test` /*!40100 DEFAULT CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;

USE `test`;

--
-- Table structure for table `kafka_offsets`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `kafka_offsets` (
  `consumer_group` varchar(255) CHARACTER SET latin1 COLLATE latin1_general_cs NOT NULL,
  `topic` varchar(255) CHARACTER SET latin1 COLLATE latin1_general_cs NOT NULL,
  `partition` smallint NOT NULL,
  `offset` bigint unsigned NOT NULL,
  PRIMARY KEY (`consumer_group`,`topic`,`partition`)
) ENGINE=ndbcluster DEFAULT CHARSET=latin1 COLLATE=latin1_general_cs;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `test_blob_2`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `test_blob_2` (
  `customer_id` varchar(100) COLLATE utf8mb3_unicode_ci NOT NULL,
  `history` blob,
  `event_time` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`customer_id`)
) ENGINE=ndbcluster DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci COMMENT='NDB_TABLE=READ_BACKUP=1';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `test_blob_3`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `test_blob_3` (
  `customer_id` varchar(100) COLLATE utf8mb3_unicode_ci NOT NULL,
  `history` blob,
  `event_time` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`customer_id`)
) ENGINE=ndbcluster DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci COMMENT='NDB_TABLE=READ_BACKUP=1';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `test_varbin_1`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `test_varbin_1` (
  `customer_id` varchar(100) COLLATE utf8mb3_unicode_ci NOT NULL,
  `history` varbinary(10000) DEFAULT NULL,
  `event_time` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`customer_id`)
) ENGINE=ndbcluster DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci COMMENT='NDB_TABLE=READ_BACKUP=1';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping events for database 'test'
--

--
-- Dumping routines for database 'test'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-02-29 11:29:39
